List Verification Tracking Events
curl --request GET \
--url https://api.dataspike.io/api/v4/verifications/{verification_id}/events \
--header 'ds-api-token: <api-key>'import requests
url = "https://api.dataspike.io/api/v4/verifications/{verification_id}/events"
headers = {"ds-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ds-api-token': '<api-key>'}};
fetch('https://api.dataspike.io/api/v4/verifications/{verification_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"verification_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "o6e501dc4d3c6d9a4",
"event": "upload_file",
"reference_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country": {
"name": "United States of America",
"alpha2": "US",
"alpha3": "USA"
},
"user_agent": {
"header": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/18.3.1 Safari/605.1.15",
"device_type": "desktop",
"device_os": "macOS 10.15.7",
"browser": "Safari v18.3.1"
},
"ip_address": "10.2.13.249",
"http_status": 400,
"verification_errors": [
5014
],
"api_version": "e3b9b5e",
"created_at": "2025-04-07T16:37:47.722Z"
}
],
"has_next": false
}{
"message": "Bad request"
}Verifications
List Verification Tracking Events
Retrieves a list of verification tracking events by a verification identifier.
GET
/
api
/
v4
/
verifications
/
{verification_id}
/
events
List Verification Tracking Events
Authorizations
Path Parameters
Verification Identifier
⌘I